# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectEntityNumber Class Reference

A SelectEntityNumber gets in an InterfaceModel (through a
Graph), the Entity which has a specified Number (its rank of
adding into the Model) : there can be zero (if none) or one.
The Number is not directly defined as an Integer, but as a
Parameter, which can be externally controled
.

`#include <IFSelect_SelectEntityNumber.hxx>`

Inheritance diagram for IFSelect_SelectEntityNumber:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectEntityNumber ()
| Creates a SelectEntityNumber, initially with no specified Number .
Standard_EXPORT void | SetNumber (const Handle(IFSelect_IntParam)&num)
| Sets Entity Number to be taken (initially, none is set : 0) .
Standard_EXPORT Handle_IFSelect_IntParam | Number () const
| Returns specified Number (as a Parameter) .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities : the Entity having the specified Number (this result assures naturally uniqueness) .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Entity Number ..." .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IFSelect_IntParam | thenum

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectEntityNumber::IFSelect_SelectEntityNumber | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectEntityNumber::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectBase.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectEntityNumber::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Handle_IFSelect_IntParam IFSelect_SelectEntityNumber::Number | ( |  | ) | const

Standard_EXPORT Interface_EntityIterator IFSelect_SelectEntityNumber::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT void IFSelect_SelectEntityNumber::SetNumber | ( | const Handle(IFSelect_IntParam)& | num | ) |

## Field Documentation

Handle_IFSelect_IntParam IFSelect_SelectEntityNumber::thenum `[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectEntityNumber.hxx